<template>
    <!-- 弹出框表单 -->
    <el-drawer
            :title="title"
            :visible.sync="open"
            :direction="direction"
            :destroy-on-close="true"
            size="50%">
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                <Field label="名字" :span="20"  prop="name" v-model="form.name" placeholder="请输入名字"/>
                <Field label="头像" :span="20" ><imageUpload v-model="form.avatar" prePath="/file/preview"/></Field>
                <Field label="内容" :span="20"  prop="content" v-model="form.content" rows="4" type="textarea" placeholder="请输入内容"/>
                <Field label="内容html" :span="20" ><editor v-model="form.contentHtml" :min-height="256"/></Field>

            </el-row>

            <form-buttons @submit='submitForm' v-if="pageInfo.type!='view'" noCancelBtn />
        </el-form>

    </el-drawer>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    export default {
        name: "DesignerDetail",
        mixins: [form],
        components: {

        },
        created() {
            this.changePath("designer")
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "员工设计师",
                // 是否显示弹出层
                open: false,
                direction:"rtl",
                toString:[
                ],
                toDate:[
                ],
                // 表单校验
                rules: {
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="designer/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改员工设计师";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "designer/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增员工设计师";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="designer/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "员工设计师详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    name : null,
                    avatar : null,
                    content : null,
                    contentHtml : null,
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
